import { createUserEvents as u } from "../../Analytics/analytics/user-events.js";
function i({ analyticsEnabled: e, componentName: t }) {
  const r = u(e, t);
  return r.updateBaseTrackingPayload?.({
    sdkVersion: "1.11.0"
  }), {
    userEvents: r,
    subscribe(s) {
      return e ? (r.subscribe?.(s), () => r.unsubscribe?.(s)) : () => {
      };
    }
  };
}
export {
  i as setupAnalytics
};
